path: /build/build/upower-sys-power-0.99.11.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ios -selinux introspection kernel_linux" emerge sys-power/upower -pv -t && \
    USE="-doc -ios -selinux introspection kernel_linux" emerge -j ${JOBS} --nodeps sys-power/upower
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/upower && luet-portage --dir /pkgdir/upower
    sys-power/upower && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:016434b5fea2ec87d2d2293c190088708ff5ad8e094aa479d292e6f0dd9eb71a
  package:
    name: upower
    version: 0.99.11
    category: sys-power
    use_flags:
    - -doc
    - -ios
    - -selinux
    - introspection
    - kernel_linux
    requires:
    - name: macaroni-funtoo-race13
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: D-Bus abstraction for enumerating power devices, querying history
      and statistics
    uri:
    - https://upower.freedesktop.org/
    license: GPL-2
    buildtimestamp: 2023-09-04 21:20:31.990913513 +0000 UTC m=+85.760403730
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: '>=dev-libs/glib-2.38:2 sys-apps/dbus:= introspection? ( dev-libs/gobject-introspection:=
        ) kernel_linux? ( dev-libs/libgudev:= virtual/libusb:1 virtual/udev ios? (
        >=app-pda/libimobiledevice-1:= >=app-pda/libplist-1:= ) ) doc? ( dev-util/gtk-doc
        ) dev-libs/libxslt app-text/docbook-xsl-stylesheets >=sys-devel/gettext-0.19.8
        virtual/pkgconfig'
      IUSE: doc +introspection ios kernel_FreeBSD kernel_linux selinux
      RDEPEND: '>=dev-libs/glib-2.38:2 sys-apps/dbus:= introspection? ( dev-libs/gobject-introspection:=
        ) kernel_linux? ( dev-libs/libgudev:= virtual/libusb:1 virtual/udev ios? (
        >=app-pda/libimobiledevice-1:= >=app-pda/libplist-1:= ) ) selinux? ( sec-policy/selinux-devicekit
        )'
      emerge.packages: sys-power/upower
      kit: gnome-kit
      original.package.name: sys-power/upower
      original.package.slot: "0"
      original.package.version: 0.99.11
    treedir: /build/packages
  package_dir: /pkgdir/upower
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6ddd4dce8711cbcb74219c992b282e849ec0e0fddc192d3a0dc09fb1b53acc4c
compressiontype: zstd
files:
- etc/UPower/UPower.conf
- lib/systemd/system/upower.service
- lib/udev/rules.d/95-upower-csr.rules
- lib/udev/rules.d/95-upower-hid.rules
- lib/udev/rules.d/95-upower-hidpp.rules
- lib/udev/rules.d/95-upower-wup.rules
- usr/bin/upower
- usr/include/libupower-glib/up-autocleanups.h
- usr/include/libupower-glib/up-client.h
- usr/include/libupower-glib/up-device.h
- usr/include/libupower-glib/up-history-item.h
- usr/include/libupower-glib/up-stats-item.h
- usr/include/libupower-glib/up-types.h
- usr/include/libupower-glib/up-version.h
- usr/include/libupower-glib/up-wakeup-item.h
- usr/include/libupower-glib/up-wakeups.h
- usr/include/libupower-glib/upower.h
- usr/lib/upower/upowerd
- usr/lib64/girepository-1.0/UPowerGlib-1.0.typelib
- usr/lib64/libupower-glib.so
- usr/lib64/libupower-glib.so.3
- usr/lib64/libupower-glib.so.3.0.1
- usr/lib64/pkgconfig/upower-glib.pc
- usr/share/dbus-1/interfaces/org.freedesktop.UPower.Device.xml
- usr/share/dbus-1/interfaces/org.freedesktop.UPower.KbdBacklight.xml
- usr/share/dbus-1/interfaces/org.freedesktop.UPower.Wakeups.xml
- usr/share/dbus-1/interfaces/org.freedesktop.UPower.xml
- usr/share/dbus-1/system-services/org.freedesktop.UPower.service
- usr/share/dbus-1/system.d/org.freedesktop.UPower.conf
- usr/share/doc/upower-0.99.11/AUTHORS
- usr/share/doc/upower-0.99.11/HACKING.bz2
- usr/share/doc/upower-0.99.11/NEWS.bz2
- usr/share/doc/upower-0.99.11/README.bz2
- usr/share/gir-1.0/UPowerGlib-1.0.gir
- usr/share/locale/fr/LC_MESSAGES/upower.mo
- usr/share/locale/it/LC_MESSAGES/upower.mo
- usr/share/locale/pl/LC_MESSAGES/upower.mo
- usr/share/locale/sv/LC_MESSAGES/upower.mo
- usr/share/man/man1/upower.1.bz2
- usr/share/man/man7/UPower.7.bz2
- usr/share/man/man8/upowerd.8.bz2
- var/db/pkg/sys-power/upower-0.99.11/BDEPEND
- var/db/pkg/sys-power/upower-0.99.11/BUILD_TIME
- var/db/pkg/sys-power/upower-0.99.11/CATEGORY
- var/db/pkg/sys-power/upower-0.99.11/CBUILD
- var/db/pkg/sys-power/upower-0.99.11/CFLAGS
- var/db/pkg/sys-power/upower-0.99.11/CHOST
- var/db/pkg/sys-power/upower-0.99.11/CONTENTS
- var/db/pkg/sys-power/upower-0.99.11/COUNTER
- var/db/pkg/sys-power/upower-0.99.11/CXXFLAGS
- var/db/pkg/sys-power/upower-0.99.11/DEFINED_PHASES
- var/db/pkg/sys-power/upower-0.99.11/DEPEND
- var/db/pkg/sys-power/upower-0.99.11/DESCRIPTION
- var/db/pkg/sys-power/upower-0.99.11/EAPI
- var/db/pkg/sys-power/upower-0.99.11/FEATURES
- var/db/pkg/sys-power/upower-0.99.11/HOMEPAGE
- var/db/pkg/sys-power/upower-0.99.11/INHERITED
- var/db/pkg/sys-power/upower-0.99.11/IUSE
- var/db/pkg/sys-power/upower-0.99.11/IUSE_EFFECTIVE
- var/db/pkg/sys-power/upower-0.99.11/KEYWORDS
- var/db/pkg/sys-power/upower-0.99.11/LDFLAGS
- var/db/pkg/sys-power/upower-0.99.11/LICENSE
- var/db/pkg/sys-power/upower-0.99.11/NEEDED
- var/db/pkg/sys-power/upower-0.99.11/PF
- var/db/pkg/sys-power/upower-0.99.11/PROVIDES
- var/db/pkg/sys-power/upower-0.99.11/RDEPEND
- var/db/pkg/sys-power/upower-0.99.11/REQUIRES
- var/db/pkg/sys-power/upower-0.99.11/SIZE
- var/db/pkg/sys-power/upower-0.99.11/SLOT
- var/db/pkg/sys-power/upower-0.99.11/USE
- var/db/pkg/sys-power/upower-0.99.11/environment.bz2
- var/db/pkg/sys-power/upower-0.99.11/repository
- var/db/pkg/sys-power/upower-0.99.11/upower-0.99.11.ebuild
- var/lib/upower/.keep_sys-power_upower-0
package_cacheimage: ""
runtime:
  name: upower
  version: 0.99.11
  category: sys-power
  use_flags:
  - -doc
  - -ios
  - -selinux
  - introspection
  - kernel_linux
  requires:
  - name: libgudev
    version: '>=0'
    category: dev-libs
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: libusb
    version: '>=0'
    category: virtual-1
  - name: udev
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: D-Bus abstraction for enumerating power devices, querying history and
    statistics
  uri:
  - https://upower.freedesktop.org/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: '>=dev-libs/glib-2.38:2 sys-apps/dbus:= introspection? ( dev-libs/gobject-introspection:=
      ) kernel_linux? ( dev-libs/libgudev:= virtual/libusb:1 virtual/udev ios? ( >=app-pda/libimobiledevice-1:=
      >=app-pda/libplist-1:= ) ) doc? ( dev-util/gtk-doc ) dev-libs/libxslt app-text/docbook-xsl-stylesheets
      >=sys-devel/gettext-0.19.8 virtual/pkgconfig'
    IUSE: doc +introspection ios kernel_FreeBSD kernel_linux selinux
    RDEPEND: '>=dev-libs/glib-2.38:2 sys-apps/dbus:= introspection? ( dev-libs/gobject-introspection:=
      ) kernel_linux? ( dev-libs/libgudev:= virtual/libusb:1 virtual/udev ios? ( >=app-pda/libimobiledevice-1:=
      >=app-pda/libplist-1:= ) ) selinux? ( sec-policy/selinux-devicekit )'
    emerge.packages: sys-power/upower
    kit: gnome-kit
    original.package.name: sys-power/upower
    original.package.slot: "0"
    original.package.version: 0.99.11
